%global _empty_manifest_terminate_build 0
Name:           python-pytest-mpl
Version:        0.17.0
Release:        2
Summary:        pytest plugin to help with testing figures output from Matplotlib
License:        BSD
URL:            https://github.com/matplotlib/pytest-mpl
Source0:        https://files.pythonhosted.org/packages/a9/81/636f9ea4ec0182abc0ab96e5abeab39fc1d9ce8fecf19e2943d685de519f/pytest-mpl-0.17.0.tar.gz
Patch1:		backport-update-CHANGES.patch
BuildArch:      noarch
%description
--This is a plugin to facilitate image comparison for Matplotlib <>_ figures in
pytest.For each figure to test, the reference image is subtracted from the
generated image, and the RMS of the residual is compared to a user-specified
tolerance. If the residual is too large, the test will fail (this is implemented
using helper functions from matplotlib.testing).For more information on how to
write tests to do this, see the **Using*section below.Installing -This plugin is
compatible with Python 3.6 and later, and requires pytest <>_ and matplotlib <.

%package -n python3-pytest-mpl
Summary:        pytest plugin to help with testing figures output from Matplotlib
Provides:       python-pytest-mpl
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-pytest
BuildRequires:  python3-matplotlib
BuildRequires:  python3-packaging
BuildRequires:  python3-jinja2
BuildRequires:  python3-pillow
# Tests running requires
BuildRequires:  python3-pytest-cov
# General requires
Requires:       python3-pytest
Requires:       python3-matplotlib
Requires:       python3-packaging
Requires:       python3-jinja2
Requires:       python3-pillow
# Tests running requires
Requires:       python3-pytest-cov
%description -n python3-pytest-mpl
--This is a plugin to facilitate image comparison for Matplotlib <>_ figures in
pytest.For each figure to test, the reference image is subtracted from the
generated image, and the RMS of the residual is compared to a user-specified
tolerance. If the residual is too large, the test will fail (this is implemented
using helper functions from matplotlib.testing).For more information on how to
write tests to do this, see the **Using*section below.Installing -This plugin is
compatible with Python 3.6 and later, and requires pytest <>_ and matplotlib <.

%package help
Summary:        pytest plugin to help with testing figures output from Matplotlib
Provides:       python3-pytest-mpl-doc
%description help
--This is a plugin to facilitate image comparison for Matplotlib <>_ figures in
pytest.For each figure to test, the reference image is subtracted from the
generated image, and the RMS of the residual is compared to a user-specified
tolerance. If the residual is too large, the test will fail (this is implemented
using helper functions from matplotlib.testing).For more information on how to
write tests to do this, see the **Using*section below.Installing -This plugin is
compatible with Python 3.6 and later, and requires pytest <>_ and matplotlib <.

%prep
%autosetup -n pytest-mpl-%{version}

%build
%pyproject_build

%install
%pyproject_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-pytest-mpl
%{python3_sitelib}/pytest_mpl/
%{python3_sitelib}/pytest_mpl-*.dist-info/

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 29 2024 lifeifei <lifeifei@kylinos.cn> - 0.17.0-2
- Type:update
- CVE:NA
- SUG:NA
- DESC:Migration patch from upstream, update-CHANGES.

* Wed Jul 24 2024 liudy <liudingyao@kylinos.cn> - 0.17.0-1
- Update version to 0.17.0
- Improve Logging Configuration: don't modify root logger
- Improve error reporting when test raises an exception
- Compat with pytest 8.1
- Added support for EPS, PDF, and SVG image comparison 

* Thu Jul 6 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 0.16.1-2
- Upgrade the installation method to pyproject

* Mon Dec 12 2022 wubijie <wubijie@kylinos.cn> - 0.16.1-1
- Update package to version 0.16.1

* Thu Jul 14 2022 OpenStack_SIG <openstack@openeuler.org> - 0.16.0-1
- Init package python3-pytest-mpl of version 0.16.0

